NCHECK(8)

NAME
ncheck - generate names from i-numbers

SYNOPSIS
/usr/sbin/ncheck [ -i numbers ] [ -a ] [ -s ] filesystems ...

DESCRIPTION
N.B.: For most normal file system maintenance, the function of ncheck is subsumed by fsck(8).

Ncheck with no options generates a pathname vs. i-number list of all files on every specified filesystem. Names of directory files are followed by `/.'. The -i option reduces the report to only those files whose i-numbers follow. The -a option allows printing of the names `.' and `..', which are ordinarily suppressed. The -s option reduces the report to special files and files with set-user-ID mode; it is intended to discover concealed violations of security policy.

The report is in no useful order, and probably should be sorted.

SEE ALSO
sort(1), dcheck(8), fsck(8), icheck(8)

DIAGNOSTICS
When the filesystem structure is improper, `??' denotes the `parent' of a parentless file and a pathname beginning with `...' denotes a loop.